package Temperature;

public class TempController extends Thread{
	// Same as A4, I have the model and view passed in through the constructor
	TempModel model;
	TempView view;
	
	/**
	 * Create my temperature controller, a Thread object which can be started when the user clicks start on the main window.
	 * @param model The temperature Model storing the state of the temperature portion of the simulation.
	 * @param view	The temperature View where the user will provide input and get output.
	 */
	public TempController(TempModel model, TempView view){
		this.model = model;
		this.view = view;
	}
	
	/**
	 * All Threads have a run() method which gets executed when we call the start() method on the thread.
	 * This is where the simulation really happens.
	 */
	public void run(){
		// loop until the user clicks Stop or ends the program
			// get all the inputs from the View/Model
			// merge the device rates (AC/Furnace/Humidifer/Sprinkler) with the environment rates, and apply them to current values
			// save the new values to the View/Model
			// make the thread sleep, the length to sleep is the refresh rate (user will enter seconds, convert this to milliseconds.
	}
}
