import Temperature.*;
import javax.swing.*;
import java.awt.event.*;

public class Sim extends JFrame{
	public static void main(String[] args){
		// Same as A4, create the Model and View, then create the Controller while passing in the Model+View.
		TempModel temperatureModel = new TempModel();
		TempView temperatureView = new TempView();
		TempController temperatureController = new TempController(temperatureModel, temperatureView);
		
		// Your code for your JFrame, probably adding each JPanel for temperature/humidity/moisture if you followed
		// my suggestion to use MVC for each one.
		
		JButton startButton = new JButton("Start");
		
		/* You can put the entire JFrame into the MVC pattern as well, and move this listener to the Controller. However,
		 * I didn't use MVC for the JFrame because there isn't much on there. I just display the JPanels and add the start,
		 * stop, save, and load buttons on there.
		 * */
		ActionListener startButtonListener = new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				temperatureController.start();
				// start your humidity and soil moisture controllers too
			}
		}; 
	}
}